Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600270 - (libnmserver) Review Request: libnmserver - library which exposes various information from NetworkManager
Review Request: libnmserver - library which exposes various information from ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 06:25 EDT by Adam Tkac
Modified: 2013-04-30 19:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: libnmserver-0.0.91-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 09:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2010-06-04 06:25:26 EDT
Spec URL: http://atkac.fedorapeople.org/libnmserver/libnmserver.spec
SRPM URL: http://atkac.fedorapeople.org/libnmserver/libnmserver-0.0.90-1.fc14.src.rpm
Description: This library exposes various information from NetworkManager through C API. It is small and has minimal set of external dependencies.
Comment 1 Ian Weller 2010-06-14 23:44:03 EDT
[  OK  ] specfiles match:
  4f87fa3cd37d119339d4f899120ed76a  libnmserver.spec
  4f87fa3cd37d119339d4f899120ed76a  libnmserver.spec.1
[  OK  ] source files match upstream:
  3bf81b09bf6dd26f4187b6d7af2193b0  libnmserver-0.0.90.tar.gz
  3bf81b09bf6dd26f4187b6d7af2193b0  libnmserver-0.0.90.tar.gz.1
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[FAILED] license text included in package.
  This isn't a blocker, but please ask upstream to include a COPYING file, then
  include it in %doc in a future specfile.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[FAILED] rpmlint is silent.
  libnmserver.x86_64: W: no-documentation
  libnmserver-devel.x86_64: W: no-documentation
  (once again not a blocker, see "license text included in package")
[  OK  ] final provides and requires are sane 
[  N/A ] %check is present and all tests pass:
[  OK  ] shared libraries aren't added to linker search paths without ldconfig.
[  OK  ] owns the directories it creates.
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  N/A ] %docs are not necessary for the proper functioning of the package.
[  OK  ] headers in devel subpackage.
[  OK  ] pkgconfig files in devel subpackage.
[  OK  ] no libtool .la droppings.
[  N/A ] desktop files valid and installed properly.

----------------------------------------
 This package (libnmserver) is APPROVED
----------------------------------------

Please be sure to contact upstream to add a COPYING file, then add that to %doc.
Comment 2 Adam Tkac 2010-06-28 10:13:44 EDT
Thanks for the review, upstream just released 0.0.91 version with the LICENSE.txt included, I will add it to %doc.
Comment 3 Adam Tkac 2010-06-28 10:17:42 EDT
New Package CVS Request
=======================
Package Name: libnmserver
Short Description: library which exposes various information from NetworkManager
Owners: atkac
Branches: devel
InitialCC: jgorig
Comment 4 Jason Tibbitts 2010-06-28 12:43:05 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Adam Tkac 2010-07-19 09:55:22 EDT
Fixed in libnmserver-0.0.91-1.fc14, thank you for the review.

Note You need to log in before you can comment on or make changes to this bug.